@keyframes zoomIn {
    from { transform: scale(1); }
    to { transform: scale(1.1); }
  }
  .animate-zoom-in {
    animation: zoomIn 10s ease-in-out forwards;
  }

  .animate-zoom-in-hero {
    animation: zoomIn 20s ease-in-out forwards;
  }


 /* Gradient accent line */
  #mainHeader::after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 2px;
    background: linear-gradient(to right, #60a5fa, #2dd4bf);
    opacity: 0;
    transition: opacity 0.5s ease-in-out;
  }

  #mainHeader.scrolled::after {
    opacity: 1;
  }

  #toastMessage {
    transform: scale(0.85);
  }
  #toastMessage.opacity-100 {
    transform: scale(1);
  }

    #carousel {
      cursor: grab;
    }
    #carousel:active {
      cursor: grabbing;
    }
    /* Hide default scrollbar */
    .scrollbar-hide::-webkit-scrollbar {
      display: none;
    }
    .scrollbar-hide {
      -ms-overflow-style: none; /* IE and Edge */
      scrollbar-width: none; /* Firefox */
    }



.swiper-wrapper {
width: 100%;
height: max-content !important;
padding-bottom: 64px !important;
-webkit-transition-timing-function: linear !important;
transition-timing-function: linear !important;
position: relative;
}
.swiper-pagination-bullet {
background: #4f46e5;
}

#book .overflow-x-auto::-webkit-scrollbar {
   display: none;
}
